This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 131728 - CAN-2004-0832 Certain malformed NTLMSSP packets could crash the NTLM helpers provided by Squid
CAN-2004-0832 Certain malformed NTLMSSP packets could crash the NTLM helpers ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
http://www.squid-cache.org/bugs/show_...
: Security
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-03 13:23 EDT by Robert Scheck
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: squid-2.5.STABLE6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 11:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
squid-2.5.STABLE5-ntlm_fetch_string.patch (1.21 KB, patch)
2004-09-03 13:25 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-09-03 13:23:59 EDT
Description of problem:
Certain malformed NTLMSSP packets could crash the NTLM helpers 
provided by Squid.

Version-Release number of selected component (if applicable):
squid-2.5.STABLE5-5

Actual results / Expected results:
Patch applying, I'll attached a patch merged from upstream.

Additional info:
This bug report is *not* a duplicate of bug #125507, #125595 - it's 
a new issue.
Comment 1 Robert Scheck 2004-09-03 13:25:55 EDT
Created attachment 103443 [details]
squid-2.5.STABLE5-ntlm_fetch_string.patch
Comment 2 Robert Scheck 2004-09-29 11:36:24 EDT
"This closes #133970, #133931, #131728, #128143, #126726", closing now.

Note You need to log in before you can comment on or make changes to this bug.